> ## Documentation Index
> Fetch the complete documentation index at: https://docs.puretalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Campaign Leads

> Delete a lead for a campaign based on the ID supplied



## OpenAPI

````yaml openapi-campaigns DELETE /campaigns/{campaign_id}/leads/{to_number}
openapi: 3.0.1
info:
  title: Puretalk AI
  description: Api Documentation for Puretalk AI
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.puretalk.ai/api
security:
  - ApiKeyAuth: []
paths:
  /campaigns/{campaign_id}/leads/{to_number}:
    delete:
      description: Delete a lead for a campaign based on the ID supplied
      parameters:
        - name: campaign_id
          in: path
          description: ID of campaign to delete lead
          required: true
          schema:
            type: string
            format: uuid
        - name: to_number
          in: path
          description: Number to delete lead
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Lead deleted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      properties:
        err:
          type: boolean
          description: Indicates if the response is an error
          example: false
        msg:
          type: string
          description: Message from the API
          example: Error message
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Authorization header containing API key. You can find your API key in
        the dashboard under 'API Keys'.

````